[arch-commits] Commit in fvwm-devel/trunk (ChangeLog PKGBUILD)

Eric Bélanger eric at archlinux.org
Thu Jun 18 16:22:30 EDT 2009


    Date: Thursday, June 18, 2009 @ 16:22:29
  Author: eric
Revision: 42796

upgpkg: fvwm-devel 2.5.27-2
    Rebuilt against readline 6.0.00

Modified:
  fvwm-devel/trunk/ChangeLog
  fvwm-devel/trunk/PKGBUILD

-----------+
 ChangeLog |    5 +++++
 PKGBUILD  |   20 ++++++++++----------
 2 files changed, 15 insertions(+), 10 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2009-06-18 20:22:23 UTC (rev 42795)
+++ ChangeLog	2009-06-18 20:22:29 UTC (rev 42796)
@@ -1,3 +1,8 @@
+2009-06-18  Eric Belanger  <eric at archlinux.org>
+
+	* fvwm-devel 2.5.27-2
+	* Rebuilt against readline 6.0.00
+
 2009-03-29  Eric Belanger  <eric at archlinux.org>
 
 	* fvwm-devel 2.5.27-1

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-18 20:22:23 UTC (rev 42795)
+++ PKGBUILD	2009-06-18 20:22:29 UTC (rev 42796)
@@ -4,12 +4,12 @@
 
 pkgname=fvwm-devel
 pkgver=2.5.27
-pkgrel=1
+pkgrel=2
 pkgdesc="A multiple large virtual desktop window manager originally derived from twm"
 arch=('i686' 'x86_64')
 url="http://www.fvwm.org"
 license=('GPL' 'custom')
-depends=('imlib' 'fribidi' 'perl' 'libstroke' 'libxpm' 'readline' 'librsvg')
+depends=('imlib' 'fribidi' 'perl' 'libstroke' 'libxpm' 'readline>=6.0.00' 'librsvg')
 makedepends=('pkgconfig')
 conflicts=('fvwm')
 provides=("fvwm=${pkgver}")
@@ -18,14 +18,14 @@
 sha1sums=('52a3300c5f13468fa61205477a07f0e5d4767a6b' '17db773870637b410ceb4f68743dbd517bc5c599')
 
 build() {
-  cd ${srcdir}/fvwm-${pkgver}
-  ./configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib --with-stroke
+  cd "${srcdir}/fvwm-${pkgver}"
+  ./configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib --with-stroke || return 1
   make || return 1
-  make DESTDIR=${pkgdir} install
+  make DESTDIR="${pkgdir}" install || return 1
 
-  install -d ${pkgdir}/etc/fvwm
-  install -D -m644 sample.fvwmrc/* ${pkgdir}/etc/fvwm
-  rm -f ${pkgdir}/etc/fvwm/{Makefile,Makefile.am,Makefile.in}
-  install -D -m644 ../fvwm-devel.desktop ${pkgdir}/etc/X11/sessions/fvwm-devel.desktop
-  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/COPYING
+  install -d "${pkgdir}/etc/fvwm"
+  install -D -m644 sample.fvwmrc/* "${pkgdir}/etc/fvwm" || return 1
+  rm -f "${pkgdir}"/etc/fvwm/{Makefile,Makefile.am,Makefile.in}
+  install -D -m644 ../fvwm-devel.desktop "${pkgdir}/etc/X11/sessions/fvwm-devel.desktop" || return 1
+  install -D -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/COPYING" || return 1
 }



More information about the arch-commits mailing list